Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/44904/?format=api
{ "ob_id": 44904, "uuid": "c193345436994160befa8bb32e46c39f", "title": "Copernicus Land Monitoring Service Land Cover 2020, version 1", "abstract": "Provides at the global level information on different types (classes) of physical coverage of the Earth's surface, e.g. tree cover, grasslands, croplands, permanent water bodies, wetlands at 10 m spatial resolution for the 2020 base year. The data are updated annually and will be available for the 2020-2026 years. This dataset builds upon initiatives like the 100 m Copernicus Global Land Cover layers (2015-2019) and offers enhanced spatial detail that facilitates more effective monitoring of global land cover changes, including deforestation, urbanization, and other environmental transformations. Please note: this version is still in beta status, as final validation is ongoing.\r\n\r\nDOI for these data: https://doi.org/10.2909/602507b2-96c7-47bb-b79d-7ba25e97d0a9", "keywords": "Copernicus, Land Cover, 2020", "publicationState": "published", "dataPublishedTime": "2025-10-23T13:32:46", "doiPublishedTime": null, "updateFrequency": "", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/44905/?format=api", "dataPath": "/neodc/copernicus_land_cover/data/2020/v1/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 144873708959, "numberOfFiles": 5279, "fileFormat": "These data are in Cloud Optimised GeoTiff (COG) format with a corresponding quicklook image." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/12733/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were produced by the project team and downloaded from the Copernicus Land Monitoring Service to be archived at the Centre for Environmental Data Analysis (CEDA).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12321/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/215137/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/215138/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/215139/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/215140/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/215141/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/215142/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/215143/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/215144/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/44907/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2528/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://creativecommons.org/licenses/by/4.0/", "licenceClassifications": "any" } ], "discoveryKeywords": [] }